tcpreplay (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3. Closes: #1076243

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 20 Jul 2026 20:41:36 +0200

tcpreplay (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2. Closes: #1097976, #1111316

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 05 Sep 2025 08:43:44 +0200

tcpreplay (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 10 Aug 2024 22:00:30 +0200

tcpreplay (4.4.4-1) unstable; urgency=medium

  * New upstream version 4.4.4

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Sep 2023 17:46:31 +0200

tcpreplay (4.4.3-1) unstable; urgency=medium

  * New upstream version 4.4.3
  * Compile with libdumbnet in order to enable the fragroute feature.
    Closes: #1006783

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 02 Jan 2023 18:36:37 +0100

tcpreplay (4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2. Closes: #1018057
    [CVE-2022-25484] [CVE-2022-27939] [CVE-2022-27940] [CVE-2022-27941]
    [CVE-2022-27942] [CVE-2022-28487] [CVE-2022-37047] [CVE-2022-37048]
    [CVE-2022-37049]
  * Build for all architectures again

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 22 Sep 2022 17:44:36 +0200

tcpreplay (4.4.1-2) unstable; urgency=medium

  * Also disable for: alpha, ia64, mipsel, mips64el

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 Apr 2022 19:58:02 +0200

tcpreplay (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Restrict architectures to those that do not require strict alignment

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 21 Apr 2022 20:56:56 +0200

tcpreplay (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 05 Feb 2022 18:49:32 +0100

tcpreplay (4.3.4-1) unstable; urgency=medium

  * New upstream version 4.3.4
    Closes: #972889 [CVE-2020-24266]
    Closes: #972890 [CVE-2020-24265]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 25 Aug 2021 10:00:26 +0200

tcpreplay (4.3.3-2) unstable; urgency=medium

  * Fix build error on i386

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 26 Jul 2020 12:35:29 +0200

tcpreplay (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3. Closes: #957862

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 25 Jul 2020 09:22:39 +0200

tcpreplay (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 26 Jul 2019 19:33:12 +0200

tcpreplay (4.3.1-2) unstable; urgency=high

  * Fix three more issues
    Closes: #922624 [CVE-2019-8376]
    Closes: #922623 [CVE-2019-8377]
    Closes: #922622 [CVE-2019-8381]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 13 Mar 2019 00:04:30 +0100

tcpreplay (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
    Closes: #917574 [CVE-2018-20552 CVE-2018-20553]
    Closes: #902952 [CVE-2018-13112]
    Closes: #910596 [CVE-2018-17580]
    Closes: #910597 [CVE-2018-17582]
    Closes: #910598 [CVE-2018-17974]
    Closes: #911454 [CVE-2018-18407]
    Closes: #911493 [CVE-2018-18408]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 11 Feb 2019 08:15:45 +0100

tcpreplay (4.2.6-1) unstable; urgency=medium

  * Handle frames with a capture length bigger than the buffer

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 01 Aug 2017 22:21:48 +0000

tcpreplay (4.2.6-1~exp1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 4.2.6. Fixes build error on sparc64

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 16 May 2017 17:48:35 +0000

tcpreplay (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5. Also fixes test for architectures
    where unaligned memory access is not acceptable. Closes: #861539

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 09 May 2017 01:10:08 +0200

tcpreplay (4.2.4-1) unstable; urgency=medium

  * New maintainer. Thanks Noël Köthe for many years of maintaining and
    also for handing over.
  * New upstream version 4.2.4. Closes: #792248

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 29 Apr 2017 11:33:16 +0200

tcpreplay (3.4.4-3) unstable; urgency=medium

  * extend the long description with the included executables to
    make them searchable with apt. closes: #796691
  * added enforce-maxpacket.patch. Thanks Christoph. closes: #829350
  * debian/compat moved to debhelper 9
  * debian/control raised Standards-Version no changes needed
  * debian/rules added hardening to the build

 -- Noël Köthe <noel@debian.org>  Sat, 02 Jul 2016 20:02:26 +0200

tcpreplay (3.4.4-2) unstable; urgency=low

  * debian/control fixed lintian error
    depends-on-build-essential-package-without-using-version and
    lintian warning debhelper-but-no-misc-depends

 -- Noël Köthe <noel@debian.org>  Sat, 07 Jul 2012 16:19:30 +0200

tcpreplay (3.4.4-1) unstable; urgency=low

  * new upstream release 2010-04-04 closes: Bug#634538
    Thanks gregor and Simon for the patch I changed a bit to
    get it build again
  * debian/control updated Standards-Version, no changes needed
  * added missing --enable-debug for the -d option
    closes: Bug#651073
  * debian/copyright updated year and email from docs/LICENSE

 -- Noël Köthe <noel@debian.org>  Fri, 06 Jul 2012 02:03:04 +0200

tcpreplay (3.4.3-2) unstable; urgency=low

  * debian/compat raised to 5 like the dependency in 3.4.3-1

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jul 2009 20:02:43 +0200

tcpreplay (3.4.3-1) unstable; urgency=low

  * new release from 2009-06-25
  * debian/control
    - removed URLs in description because we have Homepage:
    - updated Standards-Version (no changes needed)
    - raised Build-Depends version of debhelpter to 5

 -- Noèl Köthe <noel@debian.org>  Fri, 26 Jun 2009 10:25:15 +0200

tcpreplay (3.4.1-1) unstable; urgency=low

  * new upstream release from 2009-02-21
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sat, 21 Feb 2009 14:37:11 +0100

tcpreplay (3.3.2-1) unstable; urgency=low

  * new upstream release from 2008-06-20
    (closes: Bug#505550)

 -- Noèl Köthe <noel@debian.org>  Sat, 15 Nov 2008 22:57:38 +0100

tcpreplay (3.3.1-1) unstable; urgency=low

  * new upstream release from 2008-05-17
  * debin/control added Homepage:

 -- Noèl Köthe <noel@debian.org>  Thu, 22 May 2008 18:05:19 +0200

tcpreplay (3.2.4-1) unstable; urgency=low

  * new upstream release from 2008-01-16
  * remove empty dirs from package /usr/sbin

 -- Noèl Köthe <noel@debian.org>  Sun, 20 Jan 2008 12:11:17 +0100

tcpreplay (3.2.3-1) unstable; urgency=low

  * new upstream release from 2007-11-01
    - fixes double free if tcpreplay -N is launched as normal user
      (closes: Bug#442132)
  * correcting debian-rules-ignores-make-clean-error correct
    (closes: Bug#448259)
  * fixed sourceforge watch file
    (closes: Bug#450062)

 -- Noèl Köthe <noel@debian.org>  Sun, 11 Nov 2007 13:18:21 +0100

tcpreplay (3.2.1-1) unstable; urgency=low

  * new upstream release from 2007-10-25
  * correcting debian-rules-ignores-make-clean-error

 -- Noèl Köthe <noel@debian.org>  Fri, 26 Oct 2007 17:54:14 +0200

tcpreplay (3.2.0-1) unstable; urgency=low

  * new upstream release from 2007-08-27

 -- Noèl Köthe <noel@debian.org>  Mon, 27 Aug 2007 18:21:31 +0200

tcpreplay (3.1.1-1) unstable; urgency=low

  * new upstream release from 2007-07-19

 -- Noèl Köthe <noel@debian.org>  Sun, 22 Jul 2007 13:03:44 +0200

tcpreplay (3.0.1-1) unstable; urgency=low

  * new upstream release from 2007-05-01
    - fixed gcc 4.3 "inline" change (closes: Bug#416857)
  * added build-dep autotools-dev to update config.sub+.guess

 -- Noèl Köthe <noel@debian.org>  Sun, 06 May 2007 11:40:47 +0200

tcpreplay (2.99+3.0.rc1-1) unstable; urgency=low

  * new upstream release from 2007-04-15
    - upstream removed the docs/*.pdf
  * dlt problem should be fixed since beta13
    http://tcpreplay.synfin.net/trac/ticket/82
    (closes: Bug#414613)

 -- Noèl Köthe <noel@debian.org>  Sun, 15 Apr 2007 14:10:24 +0200

tcpreplay (2.99+3.0.beta11-4) unstable; urgency=low

  * rebuilt to built against libopts25
    (closes: Bug#409056)

 -- Noèl Köthe <noel@debian.org>  Fri, 02 Feb 2007 22:51:37 +0100

tcpreplay (2.99+3.0.beta11-3) unstable; urgency=low

  * fix compile error (newpkt undeclared, post_args)
    http://tcpreplay.synfin.net/trac/changeset/1589 and
    http://tcpreplay.synfin.net/trac/changeset/1590
    (closes: Bug#387670)

 -- Noèl Köthe <noel@debian.org>  Sat, 16 Sep 2006 15:17:17 +0200

tcpreplay (2.99+3.0.beta11-2) unstable; urgency=low

  * fix compile error (no field ipbuff)
    http://tcpreplay.synfin.net/trac/changeset/1587
    (closes: Bug#379657)
  * removing build-deps libnids-dev, libnet1-dev
    (not needed anymore)

 -- Noèl Köthe <noel@debian.org>  Fri, 15 Sep 2006 15:08:17 +0200

tcpreplay (2.99+3.0.beta11-1) unstable; urgency=low

  * new upstream from 2006-08-08

 -- Noèl Köthe <noel@debian.org>  Tue, 08 Aug 2006 22:01:01 +0200

tcpreplay (2.99+3.0.beta9-1) unstable; urgency=low

  * new upstream from 2006-07-17
  * updated standards-version

 -- Noèl Köthe <noel@debian.org>  Sat, 22 Jul 2006 11:34:10 +0200

tcpreplay (2.99+3.0.beta7-2) unstable; urgency=low

  * updated homepage http://tcpreplay.synfin.net
  * fix conflicting types for 'speed_t'
    (closes: Bug#361065)

 -- Noèl Köthe <noel@debian.org>  Mon, 10 Apr 2006 22:07:02 +0200

tcpreplay (2.99+3.0.beta7-1) unstable; urgency=low

  * new upstream beta

 -- Noèl Köthe <noel@debian.org>  Wed, 24 Aug 2005 18:01:46 +0200

tcpreplay (2.99+3.0.beta6-4) unstable; urgency=low

  * change build-dep from libpcap0.9 to libpcap0.8

 -- Noèl Köthe <noel@debian.org>  Thu, 07 Jul 2005 17:22:05 +0200

tcpreplay (2.99+3.0.beta6-3) unstable; urgency=low

  * removed libopts* files from the package and depends on
    autogen/libopts25 which provides these files
    (closes: Bug#316950)
  * added libnids-dev build-dependency

 -- Noèl Köthe <noel@debian.org>  Thu, 07 Jul 2005 17:22:05 +0200

tcpreplay (2.99+3.0.beta6-2) unstable; urgency=low

  * remove stupid man2html in package

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Jul 2005 23:19:26 +0200

tcpreplay (2.99+3.0.beta6-1) unstable; urgency=low

  * upgrading to the tcpreplay 3.0 tree
  * switch to libpcap0.9-dev
  * updated Standards-Version
  * added watch file

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Jul 2005 19:32:52 +0200

tcpreplay (2.3.3-1) unstable; urgency=low

  * new upstream from 2005-02-10

 -- Noèl Köthe <noel@debian.org>  Sat, 12 Feb 2005 21:18:10 +0100

tcpreplay (2.3.2-1) unstable; urgency=low

  * new upstream from 2004-11-08

 -- Noèl Köthe <noel@debian.org>  Mon, 08 Nov 2004 19:42:50 +0100

tcpreplay (2.3.1-1) unstable; urgency=low

  * new upstream from 2004-09-26

 -- Noèl Köthe <noel@debian.org>  Mon, 27 Sep 2004 21:41:47 +0200

tcpreplay (2.3.0-1) unstable; urgency=low

  * new upstream from 2004-09-05
  * changed build-dep from libpcap-dev to libpcap0.8-dev

 -- Noèl Köthe <noel@debian.org>  Mon, 13 Sep 2004 20:18:46 +0200

tcpreplay (2.2.2-1) unstable; urgency=low

  * new upstream from 2004-06-21
  * the release fixes the rewrite source mac address problem
    (closes: Bug#253391)

 -- Noèl Köthe <noel@debian.org>  Wed, 07 Jul 2004 18:11:21 +0200

tcpreplay (2.2.0-1) unstable; urgency=low

  * new upstream from 2004-05-15

 -- Noèl Köthe <noel@debian.org>  Sun, 16 May 2004 12:26:20 +0200

tcpreplay (2.1.1-1) unstable; urgency=low

  * new upstream

 -- Noèl Köthe <noel@debian.org>  Sun, 02 May 2004 01:19:08 +0200

tcpreplay (2.0.3-1) unstable; urgency=low

  * new upstream

 -- Noèl Köthe <noel@debian.org>  Thu, 25 Mar 2004 19:14:46 +0100

tcpreplay (2.0.2-1) unstable; urgency=low

  * new upstream which fixes compile issue
    (closes: Bug#233062)

 -- Noèl Köthe <noel@debian.org>  Wed, 25 Feb 2004 23:07:56 +0100

tcpreplay (2.0.1-2) unstable; urgency=low

  * added missing tcpdump dependency
    (closes: Bug#232606)

 -- Noèl Köthe <noel@debian.org>  Sat, 14 Feb 2004 11:47:21 +0100

tcpreplay (2.0.1-1) unstable; urgency=low

  * new upstream from 2004-02-03

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Feb 2004 21:09:46 +0100

tcpreplay (1.4.6-1) unstable; urgency=low

  * new upstream from 2003-12-05

 -- Noèl Köthe <noel@debian.org>  Sat,  6 Dec 2003 13:10:00 +0100

tcpreplay (1.4.5-1) unstable; urgency=low

  * new upstream from 2003-08-30
  * updated Standards-Version
  * fixed a define because libnet author changed a bit
    (see #210341)
    (closes: Bug#208644)

 -- Noèl Köthe <noel@debian.org>  Sun, 13 Sep 2003 12:19:00 +0200

tcpreplay (1.4.4-1) unstable; urgency=low

  * new upstream from 2003-06-17

 -- Noel Koethe <noel@debian.org>  Wed, 18 Jun 2003 12:44:00 +0200

tcpreplay (1.4.2-1) unstable; urgency=low

  * new upstream from 2003-05-24
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Wed, 28 May 2003 08:58:00 +0100

tcpreplay (1.4.0-1) unstable; urgency=low

  * new upstream from 2003-05-07
  * updated Standards-Version
  * corrected Authors line in debian/copyright to make the
    package lintian clean

 -- Noel Koethe <noel@debian.org>  Sun, 11 May 2003 13:16:00 +0100

tcpreplay (1.3.2-1) unstable; urgency=low

  * new upstream from 2002-01-08

 -- Noel Koethe <noel@debian.org>  Fri, 10 Jan 2003 17:31:00 +0100

tcpreplay (1.3.1-2) unstable; urgency=low

  * buildd's could find the libnet version
    I set this now with a configure switch

 -- Noel Koethe <noel@debian.org>  Tue, 31 Dec 2002 17:58:00 +0100

tcpreplay (1.3.1-1) unstable; urgency=low

  * found current project page with latest version 1.3.1
    from 2002-12-23
  * added URL to description
  * made a rules file from scratch

 -- Noel Koethe <noel@debian.org>  Tue, 31 Dec 2002 16:58:00 +0100

tcpreplay (1.0.1-2) unstable; urgency=low

  * took package from QA
    (closes: Bug#123507)
  * closing fixed bugs
    (closes: Bug#156202)
    (closes: Bug#127627)
    (closes: Bug#127626)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Tue, 31 Dec 2002 15:58:00 +0100

tcpreplay (1.0.1-1.2) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:41 +0200

tcpreplay (1.0.1-1.1) unstable; urgency=low

  * NMU
  * added old download URL and new CVS URL
    (http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpreplay/)
    (closes: Bug#127627)
  * removed 404 URL from description
    (closes: Bug#127626)
  * corrected possition of build-depends in debian/control

 -- Noel Koethe <noel@debian.org>  Thu, 30 Jan 2002 23:58:00 +0100

tcpreplay (1.0.1-1) unstable; urgency=low

  * First upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 29 Aug 2000 21:36:07 +0200
